#!/usr/bin/env bash

export CARGO_HOME=${CONDA_PREFIX}/.cargo
export CARGO_CONFIG=${CARGO_HOME}/config
export RUSTUP_HOME=${CARGO_HOME}/rustup

[[ -d ${CARGO_HOME} ]] || mkdir -p ${CARGO_HOME}

export CARGO_TARGET_AARCH64_UNKNOWN_LINUX_GNU_LINKER=${CC_FOR_BUILD:-${CONDA_PREFIX}/bin/aarch64-conda-linux-gnu-cc}
export CARGO_TARGET_AARCH64_UNKNOWN_LINUX_GNU_LINKER=${CC:-${CONDA_PREFIX}/bin/aarch64-conda-linux-gnu-cc}
export CARGO_BUILD_TARGET=aarch64-unknown-linux-gnu

if [[ "linux-aarch64" == linux*  ]]; then
  export CARGO_BUILD_RUSTFLAGS="-C link-arg=-Wl,-rpath-link,${PREFIX:-${CONDA_PREFIX}}/lib -C link-arg=-Wl,-rpath,${PREFIX:-${CONDA_PREFIX}}/lib"
elif [[ "linux-aarch64" == osx* ]]; then
  export CARGO_BUILD_RUSTFLAGS="-C link-arg=-Wl,-rpath,${PREFIX:-${CONDA_PREFIX}}/lib"
fi

export PATH=${CARGO_HOME}/bin:${PATH}
